<?php

namespace Lc\SovBundle\Factory\User;

use Lc\SovBundle\Container\User\GroupUserContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\User\GroupUserInterface;

class GroupUserFactory extends AbstractFactory implements GroupUserFactoryInterface
{
    public function create(): GroupUserInterface
    {
        $class = GroupUserContainer::getEntityFqcn();
        $groupUser = new $class;

        $groupUser->setStatus(1);

        return $groupUser;
    }
}
